<ion-header>
    <ion-navbar color="primary">
        <ion-title>Trucks</ion-title>
    </ion-navbar>
</ion-header>
      
<ion-content>
    <ion-list>
        <ion-item>          
          <ion-input type="text" placeholder="Add new truck here" [(ngModel)]="newTruck"></ion-input>
          <button ion-button item-end color="primary" (click)="save()" *ngIf="newTruck">Save</button>
        </ion-item>
        <ion-item *ngFor="let truck of trucks | async">
          <h2>{{truck.plate_no}}</h2>
          <ion-icon name="ios-trash-outline" item-end color="danger" (click)="remove(truck)"></ion-icon>
        </ion-item>
    </ion-list>
</ion-content>